package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractRoomTypeTreeInfo extends com.kingdee.eas.framework.TreeBaseInfo implements Serializable 
{
    public AbstractRoomTypeTreeInfo()
    {
        this("id");
    }
    protected AbstractRoomTypeTreeInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 房间类型组别 's 父节点 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.otherbasicdata.RoomTypeTreeInfo getParent()
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.RoomTypeTreeInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.dormitorysystem.otherbasicdata.RoomTypeTreeInfo item)
    {
        put("parent", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("76DBD754");
    }
}